---
title: "About me"
---

Hi all! I am Davide Polonio, a programmer and devOps engineer. I am born in 1994
and started messing with computers since I was 8 (my first OS was the only and
glorious Windows 95), and from there I continued my path to learn about
computers and how to ~~break~~ tweak them. I graduated at university of Padova
with a master degree in computer science in 2018. 

I prefer back-end stuff (I usually end up using Java, Golang, Rust and Bash to
glueing stuff around), especially automating releases with Continous Integration
and Continous Delivery. I create and manage pipelines for Jenkins (and
administer Jenkins as well), but I also know other CIs like Github Actions,
Travis CI, Drone CI (or the now clone Woodpecker). I enjoy container
technologies, starting from Docker, Podman and going on to orchestrators like
Docker Swarm, Kubernetes and Nomad (which I would like to learn more of the
lasts two). If I can, I use Infrastructure as Code (IaC) tools like Terraform
and Packer to create and maintain infrastructure on cloud providers, like AWS or
Scaleway. Automation is usually my preferred way, since it helps developer focus
only on the business product instead of messing with tasks that can be done by a
machine. Finally, I am interested in development processes like (but not only)
Agile, Scrum, Waterfall. I think the right way to develop a product start from
how you organize to work on it and what processes you put in place in order to
keep the development machine going.

I am an open source enthusiast, so when I am able in my free time (or payed time
if it is an open source business project) I like to contribute to open source
projects and to discover new ones. I believe in the value that open source
software (and especially free software) can give respect to closed one. My dream
job would be to contribute to one of the many open source I like full time! 🤩

I'm not only into programming though! I like to practice sport. In particular, I
am a black belt Judo and I teach it at the local dojo were I live.

If you are interested into get in touch with me (or to get my resume) you can
send me an e-mail (I prefer this way) at
[davide@poldebra.me](mailto:davide+bitdispenser@poldebra.me) or you can contact
me through my [LinkedIn](https://www.linkedin.com/in/davidepolonio/) profile.

## Why this blog

As I have already written in the beginning of [my first blog post]({{< ref
"/hello-world.md" >}}) I liked the idea of a place where I can share my thoughts
regarding technologies, personal experiences and what not. This blog is open
source, and all my content is licensed under CC BY-SA 4.0. The repository can be
found either on [my personal git
instance](https://git.poldebra.me/polpetta/bitdispenser.dev) or on [Github
(mirrored)](https://github.com/Polpetta/bitdispenser.dev).
